[R-SIG-Mac] use of optional 3rd party libs

Kasper Daniel Hansen kasperdanielhansen at gmail.com
Fri Sep 23 02:11:23 CEST 2011

This is just a FYI.

If I use the cairo lib from the optional 3rd party libs from
http://R.research.att.com/libs/ and I compile R-2.13 (patched) from
scratch I do not get cairo support out of the box because I do not
have pkg-config.  This is clearly stated in config.log but it was a
surprise to me.

pkg-config is easy to install on Snow Leopard, but the newest version
0.26 needs glib as well, whereas earlier versions (0.25 and earlier)
includes glib.  Everything seems to work with pkg-config version 0.25.


More information about the R-SIG-Mac mailing list